[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TTaskDialogButtonItem.Create

Constructor for the class instance.

## Declaration

Source position: dialogs.pp line 653

`public constructor TTaskDialogButtonItem.Create(`
`ACollection: TCollection`
`); override;`

## Arguments

`ACollection` |  | Collection which owns the button item.

## Description

Create is the overridden constructor for the class instance, and calls the inherited method on entry. It assigns an object inspector-friendly value to the Caption property, such as 'Button3'. The Caption is also used as the DisplayName for the collection item when assigned.

## See also

TTaskDialogBaseButtonItem.Caption |  | Caption text displayed on the button surface.
TCollectionItem.DisplayName